libzypp 17.38.5

zypp::str::detail::RefStore< T & > Struct Template Reference

Store reference. More...

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
constexpr | RefStore (T &t)
| RefStore (const RefStore &)=delete
constexpr | RefStore (RefStore &&rhs)
T & | get ()
const T & | get () const

## Private Attributes
T & | _val

## Related Symbols
(Note that these are not member symbols.)
constexpr auto | makeRefStore (T &&t) -> RefStore< T >
| <T> Create a RefStore for the argument.
std::ostream & | operator<< (std::ostream &str, const RefStore< T > &obj)
| <T> Stream output

## Detailed Description

template<typename T>
struct zypp::str::detail::RefStore< T & >

Store reference.

Definition at line 75 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ RefStore() [1/3]

template<typename T>

zypp::str::detail::RefStore< T & >::RefStore | ( | T & | t | ) |
| inline constexpr

Definition at line 77 of file LogTools.h.

## ◆ RefStore() [2/3]

template<typename T>

zypp::str::detail::RefStore< T & >::RefStore | ( | const RefStore< T & > & |  | ) |
| delete

## ◆ RefStore() [3/3]

template<typename T>

zypp::str::detail::RefStore< T & >::RefStore | ( | RefStore< T & > && | rhs | ) |
| inline constexpr

Definition at line 83 of file LogTools.h.

## Member Function Documentation

## ◆ get() [1/2]

template<typename T>

T & zypp::str::detail::RefStore< T & >::get | ( |  | ) |
| inline

Definition at line 87 of file LogTools.h.

## ◆ get() [2/2]

template<typename T>

const T & zypp::str::detail::RefStore< T & >::get | ( |  | ) | const
| inline

Definition at line 88 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ makeRefStore()

auto makeRefStore | ( | T && | t | ) | -> RefStore< T >
| related

<T> Create a RefStore for the argument.

Definition at line 96 of file LogTools.h.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RefStore< T > & | obj )
| related

<T> Stream output

Definition at line 101 of file LogTools.h.

## Member Data Documentation

## ◆ _val

template<typename T>

T& zypp::str::detail::RefStore< T & >::_val
| private

Definition at line 91 of file LogTools.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogTools.h